package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.basicp1.Entity.City_ListFilter1;
import com.realnet.basicp1.Services.City_ListFilter1Service ;
@RequestMapping(value = "/token/City_ListFilter1")
@RestController
public class tokenFree_City_ListFilter1Controller {
	
	@Autowired
	private City_ListFilter1Service Service;

		@GetMapping("/City_ListFilter1")
	public List<City_ListFilter1> getlist() {
		 List<City_ListFilter1> get = Service.getlistbuilder();		
		return get;
}
		@GetMapping("/City_ListFilter11/{item}")
	public List<City_ListFilter1> getlistwithparam(  @PathVariable String item) {
		 List<City_ListFilter1> get = Service.getlistbuilderparam(  item);		
		return get;
}
}